Make a duplicate of an existing form Run in API Explorer
Ask AI
POST
/api/v1/form/{form_uuid}/duplicate
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/duplicate' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (201)
{
"uuid": "65b0c49e-ab6d-48f5-9b0a-372a51df444b",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "8df3a64e-5389-4300-8e45-671c38be7e2b",
"created_at": "2026-11-19T12:59:40+00:00",
"updated_at": "2026-11-19T12:59:40+00:00",
"section": {
"uuid": "abb0769e-ee13-4f0c-aa10-113f544f7290",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
}